tests/test-bisect
changeset 5777 51776e50bc8c
parent 5776 35ec669cdd43
child 6860 6d904eb19c2a
--- a/tests/test-bisect	Mon Dec 31 18:20:34 2007 -0600
+++ b/tests/test-bisect	Mon Dec 31 18:20:34 2007 -0600
@@ -27,6 +27,8 @@
 hg bisect -b
 hg bisect -g 1
 hg bisect -g
+echo skip
+hg bisect -s
 hg bisect -g
 hg bisect -g
 hg bisect -b
@@ -37,7 +39,18 @@
 hg bisect -b null
 hg bisect -g tip
 hg bisect -g
+echo skip
+hg bisect -s
 hg bisect -g
 hg bisect -g
 hg bisect -b
 hg bisect -g
+
+hg bisect -r
+hg bisect -g tip
+hg bisect -b tip || echo error
+
+hg bisect -r
+hg bisect -g null
+hg bisect -bU tip
+hg id
\ No newline at end of file